﻿$(document).ready(function () {


    $(document).on('change', '#SelectedLanguage', function () {

        var language = $("#SelectedLanguage").val();

        var url = $("#changeLanguageUrl").val() + language;

        window.location.href = url;
    });


    $(document).on('change', '.selectAllContent', function () {
        var language = $("#SelectedLanguage").val();
        var sourceLanguage = $(this).val();
        var cssClass = ".selectContent_" + sourceLanguage;
        var checkboxes = $(cssClass);
        var add = $(this).is(':checked');
        if (add) {
            checkboxes.prop('checked', true);
        } else {
            checkboxes.prop('checked', false);
        }

        $.ajax({
            type: "GET",
            cache: false,
            url: "/Semantix/HandleTranslations/SelectAll?sourceLanguage=" + sourceLanguage + "&language=" + language + "&add=" + add,
            success: function (result) {
                console.log("Result:", result);
            }
        });

    });

    $(document).on('change', '.publishAllContent', function () {
        var language = $("#SelectedLanguage").val();
        var sourceLanguage = $(this).val();
        var cssClass = ".publishContent_" + sourceLanguage;
        var checkboxes = $(cssClass);
        var add = $(this).is(':checked');
        if (add) {
            checkboxes.prop('checked', true);
        } else {
            checkboxes.prop('checked', false);
        }

        $.ajax({
            type: "GET",
            cache: false,
            url: "/Semantix/HandleTranslations/PublishAll?sourceLanguage=" + sourceLanguage + "&language=" + language + "&add=" + add,
            success: function (result) {
                console.log("Result:", result);
            }
        });

    });

    $(document).on('change', '.downloadAllContent', function () {

        var id = (this).id;
        var idArr = id.split('_');

        var cssClass = ".downloadContent_" + idArr[1];

        var checkboxes = $(cssClass);
        if ($(this).is(':checked')) {
            checkboxes.prop('checked', true);
        } else {
            checkboxes.prop('checked', false);
        }
    });

    $(document).on('change', '.jsPublishIds', function () {
        var add = $(this).is(':checked');
        var id = $(this).val();

        $.ajax({
            type: "GET",
            cache: false,
            url: "/Semantix/HandleTranslations/Publish?id=" + id + "&add=" + add,
            success: function (result) {
                console.log("Result:", result);
            }
        });
    });

    $(document).on('change', '.jsSelectedIds', function () {

        var add = $(this).is(':checked');
        var id = $(this).val();

        $.ajax({
            type: "GET",
            cache: false,
            url: "/Semantix/HandleTranslations/Select?id=" + id + "&add=" + add,
            success: function (result) {
                console.log("Result:", result);
            }
        });
    });
});